Bug 71754 - add an iso-5 to lang.sh and lang.csh
add an iso-5 to lang.sh and lang.csh
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: initscripts (Show other bugs)
limbo
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-18 01:18 EDT by Zlatko Trajceski
Modified: 2014-03-16 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-18 01:18:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zlatko Trajceski 2002-08-18 01:18:03 EDT
Description of Problem:

For Macedonian locale we use iso-8859-5 charset and in every RH linux
distribution I had to add the lines shown down to actualy see iso-5 letters in
console so please make the modifications so RHL can be ready out of the box for
the Macedonian language.

iso-5 should be added to the /etc/profile.d/lang.sh and /etc/profile.d/lang.sh
in a following way:


In /etc/profile.d/lang.sh
line 50 is:
            8859-1|8859-2|8859-15|koi*)
and it should be:
            8859-1|8859-2|8859-5|8859-15|koi*)

and line 58 is:
            iso01*|iso02*|iso15*|koi*|latin2-ucw*)
and it should be:
            iso01*|iso02*|iso05*|iso15*|koi*|latin2-ucw*)



In /etc/profile.d/lang.csh
lines 30-34 are:
            case 8859-1:
            case 8859-2:
            case 8859-15:
            case koi*:
            case latin2*:
and should be:
            case 8859-1:
            case 8859-2:
            case 8859-5:
            case 8859-15:
            case koi*:
            case latin2*:

lines 47-51
            case iso01*:
            case iso02*:
            case iso15*:
            case koi*:
            case latin2-ucw*:
should be:
            case iso01*:
            case iso02*:
            case iso05*:
            case iso15*:
            case koi*:
            case latin2-ucw*:






Version-Release number of selected component (if applicable):
all

How Reproducible:
allways

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2002-08-20 00:23:20 EDT
Will be in 6.91-1, thanks!

Note You need to log in before you can comment on or make changes to this bug.